<!doctype html>
<html>
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="chrome=1">
    <meta property="twitter:account_id" content="17736965">
    <title>Easy 6502 by skilldrick</title>

    <link rel="stylesheet" href="stylesheets/styles.css">
    <link rel="stylesheet" href="simulator/style.css">
    <link rel="stylesheet" href="stylesheets/pygment_trac.css">
    <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no">
    <!--[if lt IE 9]>
    <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->

  </head>
  <body>
    <div class="wrapper">
      <header>
        <h1>Easy 6502</h1>
        <p><em>by</em> <a href="https://twitter.com/skilldrick">Nick Morgan</a>, licensed under <a href="https://creativecommons.org/licenses/by/4.0/">CC BY 4.0</a></p>
            </header>
      <section>

<div class="widget">
  <div class="buttons">
    <input type="button" value="Assemble" class="assembleButton" />
    <input type="button" value="Run" class="runButton" />
    <input type="button" value="Reset" class="resetButton" />
    <input type="button" value="Hexdump" class="hexdumpButton" />
    <input type="button" value="Disassemble" class="disassembleButton" />
    <input type="button" value="Notes" class="notesButton" />
  </div>

  <textarea class="code">

LDA #$01
STA $0200
LDA #$05
STA $0201
LDA #$08
STA $0202

  </textarea>

  <canvas class="screen" width="160" height="160"></canvas>

  <div class="debugger">
    <input type="checkbox" class="debug" name="debug" />
    <label for="debug">Debugger</label>
    <div class="minidebugger"></div>
    <div class="buttons">
      <input type="button" value="Step" class="stepButton" />
      <input type="button" value="Jump to..." class="gotoButton" />
    </div>
  </div>

  <div class="monitorControls">
    <label for="monitoring">Monitor</label>
    <input type="checkbox" class="monitoring" name="monitoring" />

    <label for="start">Start: $</label>
    <input type="text" value="0" class="start" name="start" />
    <label for="length">Length: $</label>
    <input type="text" value="ff" class="length" name="length" />
  </div>

  <div class="monitor"><pre><code></code></pre></div>
  <div class="messages"><pre><code></code></pre></div>

  <div class="notes" style="display: none">Notes:

Memory location $fe contains a new random byte on every instruction.
Memory location $ff contains the ascii code of the last key pressed.

Memory locations $200 to $5ff map to the screen pixels. Different values will
draw different colour pixels. The colours are:

$0: Black
$1: White
$2: Red
$3: Cyan
$4: Purple
$5: Green
$6: Blue
$7: Yellow
$8: Orange
$9: Brown
$a: Light red
$b: Dark grey
$c: Grey
$d: Light green
$e: Light blue
$f: Light grey
    </div>
</div>
      </section>
      <footer>
      </footer>
    </div>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
    <script src="simulator/es5-shim.js"></script>
    <script src="simulator/assembler.js"></script>
    <script src="javascripts/scale.fix.js"></script>
    <script type="text/javascript">
      var gaJsHost = (("https:" == document.location.protocol) ? "https://ssl." : "http://www.");
      document.write(unescape("%3Cscript src='" + gaJsHost + "google-analytics.com/ga.js' type='text/javascript'%3E%3C/script%3E"));
    </script>
    <script type="text/javascript">
      try {
        var pageTracker = _gat._getTracker("UA-3174668-13");
      pageTracker._trackPageview();
      } catch(err) {}
    </script>
  </body>
</html>

